Ptex: PtexIO.h File Reference

Ptex

Classes | Enumerations | Functions | Variables
PtexIO.h File Reference
`#include "Ptexture.h"`

Go to the source code of this file.

## Classes
struct | Header
struct | ExtHeader
struct | LevelInfo
struct | FaceDataHeader
struct | EditFaceDataHeader
struct | EditMetaDataHeader

## Enumerations
enum | Encoding { enc_constant , enc_zipped , enc_diffzipped , enc_tiled }
enum | EditType { et_editfacedata , et_editmetadata }

## Functions
bool | LittleEndian ()

## Variables
const uint32_t | Magic = 'P' | ('t'<<8) | ('e'<<16) | ('x'<<24)
const int | HeaderSize = sizeof(Header)
const int | ExtHeaderSize = sizeof(ExtHeader)
const int | LevelInfoSize = sizeof(LevelInfo)
const int | FaceDataHeaderSize = sizeof(FaceDataHeader)
const int | EditFaceDataHeaderSize = sizeof(EditFaceDataHeader)
const int | EditMetaDataHeaderSize = sizeof(EditMetaDataHeader)
const int | IBuffSize = 8192
const int | BlockSize = 16384
const int | TileSize = 65536
const int | AllocaMax = 16384
const int | MetaDataThreshold = 1024

## Enumeration Type Documentation

## ◆ EditType

enum EditType

Enumerator
et_editfacedata |
et_editmetadata |

Definition at line 92 of file PtexIO.h.

## ◆ Encoding

enum Encoding

Enumerator
enc_constant |
enc_zipped |
enc_diffzipped |
enc_tiled |

Definition at line 81 of file PtexIO.h.

## Function Documentation

## ◆ LittleEndian()

bool LittleEndian | ( |  | ) |
| inline

Definition at line 119 of file PtexIO.h.

Referenced by PTEX_NAMESPACE_BEGIN::checkFormat(), and PtexReader::open().

## Variable Documentation

## ◆ AllocaMax

const int AllocaMax = 16384

Definition at line 116 of file PtexIO.h.

Referenced by PtexReader::readFaceData(), PtexReader::readLargeMetaDataHeaders(), PtexReader::readMetaDataBlock(), PtexWriterBase::writeFaceBlock(), and PtexWriterBase::writeReduction().

## ◆ BlockSize

const int BlockSize = 16384

Definition at line 114 of file PtexIO.h.

Referenced by PtexWriterBase::copyBlock(), PtexReader::readZipBlock(), PtexWriterBase::writeBlank(), and PtexWriterBase::writeZipBlock().

## ◆ EditFaceDataHeaderSize

const int EditFaceDataHeaderSize = sizeof(EditFaceDataHeader)

Definition at line 109 of file PtexIO.h.

Referenced by PtexReader::readEditFaceData().

## ◆ EditMetaDataHeaderSize

const int EditMetaDataHeaderSize = sizeof(EditMetaDataHeader)

Definition at line 110 of file PtexIO.h.

Referenced by PtexReader::readEditMetaData().

## ◆ ExtHeaderSize

const int ExtHeaderSize = sizeof(ExtHeader)

Definition at line 106 of file PtexIO.h.

Referenced by PtexIncrWriter::finish(), PtexMainWriter::finish(), PtexReader::open(), PtexIncrWriter::PtexIncrWriter(), and PtexReader::reopenFP().

## ◆ FaceDataHeaderSize

const int FaceDataHeaderSize = sizeof(FaceDataHeader)

Definition at line 108 of file PtexIO.h.

Referenced by PtexReader::readFaceData(), and PtexReader::readLevel().

## ◆ HeaderSize

const int HeaderSize = sizeof(Header)

Definition at line 105 of file PtexIO.h.

Referenced by PtexIncrWriter::finish(), PtexMainWriter::finish(), PtexReader::open(), PtexIncrWriter::PtexIncrWriter(), and PtexReader::reopenFP().

## ◆ IBuffSize

const int IBuffSize = 8192

Definition at line 113 of file PtexIO.h.

Referenced by PtexReader::DefaultInputHandler::open().

## ◆ LevelInfoSize

const int LevelInfoSize = sizeof(LevelInfo)

Definition at line 107 of file PtexIO.h.

Referenced by PtexMainWriter::finish(), and PtexReader::readLevelInfo().

## ◆ Magic

const uint32_t Magic = 'P' | ('t'<<8) | ('e'<<16) | ('x'<<24)

Definition at line 104 of file PtexIO.h.

Referenced by PtexReader::open(), PtexIncrWriter::PtexIncrWriter(), and PtexWriterBase::PtexWriterBase().

## ◆ MetaDataThreshold

const int MetaDataThreshold = 1024

Definition at line 117 of file PtexIO.h.

Referenced by PtexMainWriter::writeMetaData().

## ◆ TileSize

const int TileSize = 65536

Definition at line 115 of file PtexIO.h.

Referenced by PtexWriterBase::calcTileRes().